顺丰截图不成功(没有截图 而且单号对应的手机实际是对的)

+++++正在运行【顺丰快递(近3个月左右单号)】,暂时不可进行其他操作!
20211228_152103,顺丰快递(近3个月左右单号),输出结果保存路径:D:\audittool\Output\20211228_152103
20211228_152103,顺丰快递(近3个月左右单号),当前系统位数:64位
20211228_152110,顺丰快递(近3个月左右单号),请在60秒内用手机完成微信扫码,超时后会视同不扫码继续运行
20211228_152110,顺丰快递(近3个月左右单号),可以不使用对应手机号的微信扫码,但是将无法获得电子存根信息
20211228_152110,顺丰快递(近3个月左右单号),成功扫码之后可以将二维码图片关闭
20211228_152110,顺丰快递(近3个月左右单号),正在打开顺丰官网微信扫码界面,请耐心等待30秒左右···

20211228_152135,顺丰快递(近3个月左右单号),扫码成功,开始查询
20211228_152135,顺丰快递(近3个月左右单号),当前进度:1/4 ,正在查询的单号为 [sf1128470892730] 20211228_152139,顺丰快递(近3个月左右单号),正在输入单号进行查询
20211228_152142,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

20211228_152143,顺丰快递(近3个月左右单号),【模式一:图片滑块验证模式】
20211228_152143,顺丰快递(近3个月左右单号),第 1 次尝试解析滑动验证码
20211228_152146,顺丰快递(近3个月左右单号),解析成功,正在模拟滑动验证码···
20211228_152159,顺丰快递(近3个月左右单号),获取物流地图
20211228_152159,顺丰快递(近3个月左右单号),该单号可能为【错误单号或者手机号后4位不正确】,无法返回物流地图信息!
20211228_152159,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 363, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20211228_152200,顺丰快递(近3个月左右单号),在 [ get_map ] 位置出现错误,可提交此处截图或者 log 文件给作者
20211228_152200,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 368, in get_map
File "selenium\webdriver\remote\webdriver.py", line 634, in execute_script
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.JavascriptException: Message: TypeError: document.getElementsByClassName(...)[0] is undefined

20211228_152200,顺丰快递(近3个月左右单号),获取物流节点信息和截图
20211228_152200,顺丰快递(近3个月左右单号),该单号可能为错误单号,无法返回物流地图信息!
20211228_152200,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 387, in get_route_info
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="delivery"]/div[1]

20211228_152200,顺丰快递(近3个月左右单号),在 [ get_route_info ] 位置出现错误,可提交此处截图或者 log 文件给作者
20211228_152200,顺丰快递(近3个月左右单号),Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 568, in sf_single
File "selenium\webdriver\remote\webdriver.py", line 394, in find_element_by_xpath
File "selenium\webdriver\remote\webdriver.py", line 976, in find_element
File "selenium\webdriver\remote\webdriver.py", line 321, in execute
File "selenium\webdriver\remote\errorhandler.py", line 242, in check_response
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: //div[@class="route-list"]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "module\b_sfkuaidi.py", line 40, in wrapper
File "module\b_sfkuaidi.py", line 392, in get_route_info
UnboundLocalError: local variable 'delivery_map' referenced before assignment

20211228_152200,顺丰快递(近3个月左右单号),正在获取运单详情
20211228_152200,顺丰快递(近3个月左右单号),当前扫码的微信号与该单号对应的寄件人或收件人手机号可能不符合,无法获取运单详情
20211228_152200,顺丰快递(近3个月左右单号),verify_ok = True
20211228_152200,顺丰快递(近3个月左右单号),单号 [sf1128470892730] 查询用时约 24.9148 秒

20211228_152200,顺丰快递(近3个月左右单号),数据获取失败,未扣除积分!

共以下 1 个回答

# 回答此问题

后才能回答